<?php

declare(strict_types=1);

namespace TechnoArtisan\FilamentCms\Filament\Admin\Resources\WebsiteSettings\Pages;

use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;
use TechnoArtisan\FilamentCms\Filament\Admin\Resources\WebsiteSettings\WebsiteSettingResource;

class ListWebsiteSettings extends ListRecords
{
    protected static string $resource = WebsiteSettingResource::class;

    protected static ?string $title = 'Settings';

    protected function getHeaderActions(): array
    {
        return [
            CreateAction::make()
                ->icon('heroicon-s-plus')
                ->label('Neue Einstellungswert erstellen')
            ,
        ];
    }
}
